# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%define modname mongodb
%define soname %{modname}.so
%define inifile B04_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
#define beta RC1
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	MongoDB driver for PHP
Name:			php-%{modname}
Version:	1.17.2
Release:	%mkrel 4
Group:		Development/PHP
License:	Apache License
URL:			https://pecl.php.net/package/mongodb/
Source0:	https://pecl.php.net/get/%{modname}-%{version}%{?beta}.tgz
Source1:	mongodb.ini
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	php-devel <= 3:%{phplong}.99
BuildRequires:	pkgconfig(libpcre2-posix)
Obsoletes:	php-mongo < 1.9.0

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	MongoDB driver for PHP
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php <= 3:%{phplong}.99
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
The purpose of this driver is to provide exceptionally thin glue between MongoDB
and PHP, implementing only fundamental and performance-critical components
necessary to build a fully-functional MongoDB driver.

%prep

%setup -q -n %{modname}-%{version}%{?beta}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}


%build
%serverbuild

phpize
%configure --with-libdir=%{_lib}
%make_build
mv modules/*.so .

%install

install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{php_inidir}/%{inifile}



%files -n php%{phplong}-%{modname}
%doc README.md package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Wed Mar 26 2025 mokraemer <mokraemer> 1.17.2-4.mga9
+ Revision: 2169964
- switched config dir
- fix dependency
- support multiversioned php

* Thu Dec 21 2023 mokraemer <mokraemer> 1.17.2-1.mga10
+ Revision: 2020635
- new version 1.17.2

* Tue Dec 05 2023 mokraemer <mokraemer> 1.17.1-1.mga10
+ Revision: 2013511
- new version 1.17.1

* Fri Nov 17 2023 mokraemer <mokraemer> 1.17.0-1.mga10
+ Revision: 2007320
- new version 1.17.0

* Fri Sep 08 2023 mokraemer <mokraemer> 1.16.2-2.mga10
+ Revision: 1985208
- rebuild for php 8.3

* Wed Aug 16 2023 mokraemer <mokraemer> 1.16.2-1.mga9
+ Revision: 1964709
- new version 1.16.2

* Fri Jun 23 2023 mokraemer <mokraemer> 1.16.1-1.mga9
+ Revision: 1962860
- new release 1.16.1

* Wed Nov 23 2022 mokraemer <mokraemer> 1.15.0-1.mga9
+ Revision: 1910461
- new version 1.15.0

* Fri Oct 21 2022 mokraemer <mokraemer> 1.14.2-1.mga9
+ Revision: 1898198
- new version 1.14.2

* Tue Sep 20 2022 mokraemer <mokraemer> 1.14.1-1.mga9
+ Revision: 1890857
- new version 1.14.1

* Wed Aug 24 2022 mokraemer <mokraemer> 1.14.0-4.mga9
+ Revision: 1879783
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 1.14.0-3.mga9
+ Revision: 1869994
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 1.14.0-2.mga9
+ Revision: 1869863
- rebuild for php 8.2

* Sun Jul 17 2022 mokraemer <mokraemer> 1.14.0-1.mga9
+ Revision: 1869220
- new release 1.14

* Thu Mar 24 2022 umeabot <umeabot> 1.13.0-2.mga9
+ Revision: 1825029
- Mageia 9 Mass Rebuild

* Wed Mar 23 2022 mokraemer <mokraemer> 1.13.0-1.mga9
+ Revision: 1823441
- new release 1.13.0

* Wed Feb 23 2022 mokraemer <mokraemer> 1.12.1-1.mga9
+ Revision: 1783579
- new version 1.12.1

* Wed Dec 15 2021 mokraemer <mokraemer> 1.12.0-1.mga9
+ Revision: 1762180
- new version 1.12.0

* Fri Nov 26 2021 mokraemer <mokraemer> 1.11.1-2.mga9
+ Revision: 1759397
- rebuild for php 8.1

* Wed Nov 03 2021 mokraemer <mokraemer> 1.11.1-1.mga9
+ Revision: 1753809
- new version 1.11.1

* Sat Oct 02 2021 wally <wally> 1.9.1-2.mga9
+ Revision: 1747471
- rebuild for openssl 3.0.0

* Thu Apr 08 2021 mokraemer <mokraemer> 1.9.1-1.mga9
+ Revision: 1714061
- new version 1.9.1

* Mon Nov 30 2020 mokraemer <mokraemer> 1.9.0-2.mga8
+ Revision: 1650463
- added build-requirement
- missing src

* Thu Nov 26 2020 mokraemer <mokraemer> 1.9.0-1.mga8
+ Revision: 1649371
- new version 1.9.0

* Tue Oct 06 2020 mokraemer <mokraemer> 1.8.1-1.mga8
+ Revision: 1632416
- new version 1.8.1

* Wed Jul 08 2020 mokraemer <mokraemer> 1.7.5-1.mga8
+ Revision: 1602971
- new version 1.7.5

* Thu Jun 18 2020 mokraemer <mokraemer> 1.7.4-2.mga8
+ Revision: 1596254
- fix dep to current version

* Thu Mar 12 2020 mokraemer <mokraemer> 1.7.4-1.mga8
+ Revision: 1555767
- new version 1.7.4

* Thu Feb 20 2020 umeabot <umeabot> 1.7.2-2.mga8
+ Revision: 1546957
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 mokraemer <mokraemer> 1.7.2-1.mga8
+ Revision: 1518636
- new version 1.7.2

* Wed Feb 05 2020 mokraemer <mokraemer> 1.7.1-1.mga8
+ Revision: 1487322
- new version 1.7.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 09 2019 mokraemer <mokraemer> 1.6.1-1.mga8
+ Revision: 1465311
- new version 1.6.1

* Fri Nov 29 2019 mokraemer <mokraemer> 1.6.0-2.mga8
+ Revision: 1463533
+ rebuild (emptylog)

* Mon Sep 09 2019 mokraemer <mokraemer> 1.6.0-1.mga8
+ Revision: 1439088
- new version 1.6.0

* Sun Jun 30 2019 mokraemer <mokraemer> 1.5.5-1.mga8
+ Revision: 1416305
- new version 1.5.5

* Wed Dec 12 2018 mokraemer <mokraemer> 1.5.3-3.mga7
+ Revision: 1340447
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1.5.3-2.mga7
+ Revision: 1325760
- updated requirements

* Fri Sep 21 2018 mokraemer <mokraemer> 1.5.3-1.mga7
+ Revision: 1294249
- new version 1.5.3

* Thu Aug 02 2018 mokraemer <mokraemer> 1.5.2-1.mga7
+ Revision: 1246925
- new version 1.5.2

* Tue Jul 10 2018 mokraemer <mokraemer> 1.5.1-1.mga7
+ Revision: 1242978
- new version 1.5.1

* Tue Jun 26 2018 mokraemer <mokraemer> 1.5.0-1.mga7
+ Revision: 1239881
- new version 1.5.0

* Thu May 03 2018 mokraemer <mokraemer> 1.4.3-1.mga7
+ Revision: 1225711
- new version 1.4.3

* Wed Mar 07 2018 mokraemer <mokraemer> 1.4.2-1.mga7
+ Revision: 1207142
- new version 1.4.2

* Wed Feb 28 2018 mokraemer <mokraemer> 1.4.1-1.mga7
+ Revision: 1205758
- new version 1.4.1

* Fri Feb 09 2018 mokraemer <mokraemer> 1.4.0-2.mga7
+ Revision: 1199836
- new version 1.4.0

* Thu Jan 25 2018 mokraemer <mokraemer> 1.4.0-1.RC1.mga7
+ Revision: 1197198
- new version RC1

* Fri Dec 22 2017 mokraemer <mokraemer> 1.4.0-0.beta1.mga7
+ Revision: 1184005
- new version with bug fixes

* Mon Dec 04 2017 mokraemer <mokraemer> 1.3.4-2.mga7
+ Revision: 1181140
- added php mongodb driver
- Created package structure for php-mongodb.

